## org.eclipse.jst.jsf.facesconfig.emf
Interface ClientBehaviorRendererType

All Known Implementing Classes:
  ClientBehaviorRendererTypeImpl

    public interface ClientBehaviorRendererType

A representation of the model object 'Client Behavior Renderer Type'.

The following features are supported:

- `Client Behavior Renderer Type`
- `Client Behavior Renderer Class`

See Also:
  `FacesConfigPackage.getClientBehaviorRendererType()`

Field Summary
`static java.lang.String` `copyright`

Method Summary
`ClientBehaviorRendererClassType` `getClientBehaviorRendererClass()` Returns the value of the 'Client Behavior Renderer Class' containment reference
`ClientBehaviorRendererTypeType` `getClientBehaviorRendererType()` Returns the value of the 'Client Behavior Renderer Type' containment reference
`void` `setClientBehaviorRendererClass(ClientBehaviorRendererClassType value)` Sets the value of the '`Client Behavior Renderer Class`' containment reference
`void` `setClientBehaviorRendererType(ClientBehaviorRendererTypeType value)` Sets the value of the '`Client Behavior Renderer Type`' containment reference

Field Detail

### copyright

    static final java.lang.String copyright

  See Also:
    Constant Field Values

Method Detail

### getClientBehaviorRendererType

    ClientBehaviorRendererTypeType getClientBehaviorRendererType()

  Returns the value of the 'Client Behavior Renderer Type' containment reference.

  If the meaning of the 'Client Behavior Renderer Type' containment reference isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Client Behavior Renderer Type' containment reference.
  See Also:
    `setClientBehaviorRendererType(ClientBehaviorRendererTypeType)`, `FacesConfigPackage.getClientBehaviorRendererType_ClientBehaviorRendererType()`

### setClientBehaviorRendererType

    void setClientBehaviorRendererType(ClientBehaviorRendererTypeType value)

  Sets the value of the '`Client Behavior Renderer Type`' containment reference.

  Parameters:
    `value` - the new value of the 'Client Behavior Renderer Type' containment reference.
  See Also:
    `getClientBehaviorRendererType()`

### getClientBehaviorRendererClass

    ClientBehaviorRendererClassType getClientBehaviorRendererClass()

  Returns the value of the 'Client Behavior Renderer Class' containment reference.

  If the meaning of the 'Client Behavior Renderer Class' containment reference isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Client Behavior Renderer Class' containment reference.
  See Also:
    `setClientBehaviorRendererClass(ClientBehaviorRendererClassType)`, `FacesConfigPackage.getClientBehaviorRendererType_ClientBehaviorRendererClass()`

### setClientBehaviorRendererClass

    void setClientBehaviorRendererClass(ClientBehaviorRendererClassType value)

  Sets the value of the '`Client Behavior Renderer Class`' containment reference.

  Parameters:
    `value` - the new value of the 'Client Behavior Renderer Class' containment reference.
  See Also:
    `getClientBehaviorRendererClass()`